<!doctype html>
<html lang="en">
  <head>
    <title>BMI Calculator</title>
    <link href="../bootstrap/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="signin.css" rel="stylesheet">
    <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    </style>
  </head>
  <body>
      
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
    <span class="navbar-brand" href="#">BMI Calculator</span>
    <div class="collapse navbar-collapse" id="navbarCollapse">
        <ul class="navbar-nav mr-auto right">
        <li class="nav-item active">
            <a class="nav-link " href="./index.php">Disconnect</a>
        </li>
        </ul>
    </div>
    </nav>
      <?php
      require_once('connectBase.php');
      /*
      Cette partie nécessiterait un test en temps réel
      if (isset($_SESSION['email']){
        $query=$bd->("SELECT username FROM imc WHERE email='$_SESSION['email']");
        $usern = $query->fetch();
      }*/
        $usern="Kevin";
        $weight = floatval($_POST['weight']);
        $cut = floatval($_POST['cut']);
        $bmi = $weight/$cut;
        $query = "INSERT INTO imctable"
          .   "(username, bmi, weightB, cut)"
          .   "VALUES('$usern', '$bmi', '$weight', '$cut')";       
        $requete=$bd->query($query);
      ?>
<main role="main" class="container">
    <form class="form-signin"action="bmi.php" method="POST">
        <h4 class="">Welcome to BMI Calculator</h4>
        <p class="h5 mb-3 font-weight-normal" id="bmi">Calculate your BMI <?php echo "$usern"?></p>
        <label for="inputWeight">Weight</label>
        <input type="text" id="inputWeight" name='weight' class="form-control" placeholder="Input your weight" required>
        <label for="inputCut" >Cut</label>
        <input type="text" id="inputCut" name="cut" class="form-control" placeholder="Input your cut" required>
        <button class="btn btn-lg btn-primary btn-block button">Calculate</button>
        </div>
      </form>
    <h2>Summary</h2>
    <div class="table-responsive">
      <table class="table table-striped table-sm">
        <thead>
          <tr>
            <th>Time</th>
            <th>BMI</th>
            <th>Weight</th>
            <th>Cut</th>
          </tr>
        </thead>
        <tbody>
          <?php
            require_once('connectBase.php');
            $query = ("SELECT * FROM imctable WHERE username='$usern' ORDER BY dateB DESC LIMIT 0,5");
            $requete=$bd->query($query);
            if ($requete) {
                while ( $test = $requete->fetchObject()){
                    echo  "<tr><td>$test->dateB</td><td>$test->bmi</td><td>$test->weightB</td><td>$test->cut</td></tr>";
                }
            } 
          ?>
        </tbody>
      </table>
    </div>
</main>
</html>
